I have had an error on some of my WordPress sites for a long time that looks like this:“Warning: Parameter 2 to wp_hide_post_Public::query_posts_join() expected to be a reference, value given in /srv/users/x/apps/x/public/wp-includes/class-wp-hook.php on line 286″It too me a while to figure it out but the error was caused by WP Hide Post plugin and PHP 7.1+I was able to fix the error but I also decided not to use the plugin any longer so I just removed it from the sites that I had installed it on. If you are interested in fixing this error yourself check it out here: https://www.nafzinger.com/2017/11/03/solved-warning-parameter-2-expected-reference/ PS. This doesn’t count toward September Challenge 😉

Pin It on Pinterest

Shares